import random
mesta = ["Bratislava", "Malacky", "Stupava", "Modra", "Pezinok", "Svaty Jur", "Senec", "Trnava", "Dunajska Streda", "Gabcikovo", "Samorin", "Velky Meder", "Galanta", "Sered", "Sladkovicovo", "Hlohovec", "Leopoldov", "Piestany", "Vrbove", "Senica", "Sastin-Straze", "Gbely", "Holic", "Skalica", "Nemsova", "Trencin", "Nova Dubnica", "Ilava", "Handlova", "Prievidza", "Novaky", "Hurbanovo", "Komarno", "Zeliezovce", "Levice", "Nitra", "Vrable", "Sahy", "Kolarovo", "Tlmace", "Sturovo", "Surany", "Sala", "Topolcany", "Zlate Moravce", "Rajec", "Zilina", "Bytca", "Detva", "Lucenec"]
ulice = ["Azovska", "Andreja Mraza", "Bajzova", "Budovatelska", "Caklovska", "Cyrilova", "Deviata", "Dobsinskeho", "Estonska", "Einsteinova", "Fazulova", "Filialka", "Gagarinova", "Gastanova", "Harmanecka", "Hlboka", "Chalupkova", "Chemicka", "Iljusinova", "Ipelska", "Jadranska", "Jazerna", "Kalinciakova", "Klukata", "Leskova", "Lubovnianska", "Martakovej", "Mokrohajska", "Na pasekach", "Nitrianska", "Obchodna", "Odborarska", "Papradova", "Podjavorinskej", "Rovna", "Rybnicna", "Saratovska", "Smolenicka", "Trencianska", "Tretia", "Ukrajinska", "Udernicka", "Vavrinova", "Vitazna", "Wilsonova", "Wolkrova", "Zahradnicka", "Zihlavova"]
mena_muzske = ["Adam", "Adrian", "Andrej", "Bohus", "Boris", "Cyril", "Ctibor", "David", "Denis", "Eduard", "Erik", "Filip", "Frantisek", "Gabriel", "Gregor", "Henrich", "Hugo", "Ivan", "Igor", "Jakub", "Juraj", "Julius", "Karol", "Kristian", "Ladislav", "Lubomir", "Marek", "Michal", "Norbert", "Oliver", "Ondrej", "Patrik", "Pavol", "Radoslav", "Richard", "Samuel", "Slavomir", "Tomas", "Teodor", "Urban", "Valentin"]
mena_zenske = ["Adela", "Alexandra", "Barbora", "Bozena", "Cecilia", "Daniela", "Dominika", "Ema", "Edita", "Eva", "Frederika", "Gabriela", "Gertruda", "Hana", "Helena", "Ivana", "Izabela", "Jana", "Julia", "Klara", "Katarina", "Lucia", "Lenka", "Maria", "Michaela", "Natalia", "Nikola", "Olga", "Oxana", "Petra", "Patricia", "Romana", "Radoslava", "Sara", "Silvia", "Tatiana", "Tereza", "Ursula", "Viktoria", "Zelmira"]
priezviska_muzske = ["Adamec", "Andras", "Balaz", "Benko", "Bednarik", "Cibulka", "Cyprich", "Capek", "Danko", "Dobsinsky", "Ftacnik", "Forgac", "Figura", "Gaspar", "Gregus", "Hudec", "Husar", "Chalupka", "Ihnacak", "Jurco", "Kocian", "Kovac", "Labuda", "Lukac", "Mackovic", "Mihal", "Misura", "Novak", "Novotny", "Ondrus", "Orlik", "Pavelka", "Polak", "Rusnak", "Repassky", "Sykora", "Sloboda", "Sramek", "Tatarka", "Tomecek", "Valusek", "Vavrinec", "Zachar", "Zajac", "Zeleznik"]
priezviska_zenske = ["Andraskova", "Adamova", "Bartosova", "Bukovska", "Cigerova", "Ciganikova", "Dolezalova", "Dvorska", "Fajnorova", "Frankova", "Galova", "Grznarova", "Chovancova", "Jakubikova", "Jurinova", "Kostkova", "Kocurova", "Liskova", "Lackova", "Malachovska", "Miklosova", "Notova", "Nemcova", "Ocenasova", "Ondruskova", "Podhradska", "Puskarova", "Ruzickova", "Rybnickova", "Salajova", "Slovakova", "Tazka", "Tomankova", "Valentova", "Visnovska", "Zaborska", "Zimova"]
povolania = ["advokat", "architekt", "banik", "barman", "diplomat", "dizajner", "dirigent", "exekutor", "epidemiolog", "fotograf", "fyzik", "geodet", "grafik", "hasic", "herec", "kovac", "krajcir", "kozmonaut", "lekar", "murar", "mechanik", "namornik", "novinar", "osetrovatel", "policajt", "programator", "rolnik", "remeselnik", "starosta", "skolnik", "ucitel", "vedec", "vojak", "vodic", "zubar", "zachranar"]

print("rodne cislo,meno,priezvisko,ulica a cislo,mesto,povolanie,mesacna mzda,pocet uverov,suma uverov,bonita,platobna disciplina", file=open('klienti.csv', 'a'))

for i in range (0,500):
    muz_zena = random.randrange(0,2,1)
    den_narodenia = random.randrange(1, 32, 1)
    if den_narodenia < 10:
        den_narodenia = str(den_narodenia)
        den_narodenia = "0" + den_narodenia
    else:
        den_narodenia = str(den_narodenia)
    mesiac_narodenia = random.randrange(1, 13, 1)
    rok_narodenia = str(random.randrange(1945, 2000, 1) % 100)
    stvorcislie = str(random.randrange(1000, 10000, 1))
    ulica = random.choice(ulice)
    cislo_domu = str(random.randrange(1, 1000, 1))
    povolanie = random.choice(povolania)
    mesto = random.choice(mesta)
    mesacny_plat = str(random.randrange(500, 3000, 1))
    pocet_uverov = str(random.randrange(1, 10, 1))
    suma_uverov = str(random.randrange(2000, 10000, 100))
    bonita = str(random.randrange(1, 101, 1))
    splacal_nacas = str(random.randrange(1, 4, 1))
    
    if muz_zena == 0:
        meno = random.choice(mena_zenske)
        priezvisko = random.choice(priezviska_zenske)
        mesiac_narodenia = mesiac_narodenia + 50
        mesiac_narodenia = str(mesiac_narodenia)
    elif muz_zena == 1:
        meno = random.choice(mena_muzske)
        priezvisko = random.choice(priezviska_muzske)
        if mesiac_narodenia < 10:
            mesiac_narodenia = "0" + (str(mesiac_narodenia))
        else:
            mesiac_narodenia = str(mesiac_narodenia)

    riadok = (rok_narodenia + mesiac_narodenia + den_narodenia + stvorcislie + "," + meno + "," + priezvisko + "," + ulica + " " + cislo_domu + "," + mesto + "," + povolanie + "," + mesacny_plat + "," + pocet_uverov + "," + suma_uverov + "," + bonita + "," + splacal_nacas)
    print(riadok, file=open('klienti.csv', 'a'))





